# LidoBeaconReport

This table contains beacon reports submitted by callers, including the epoch ID, beacon balance, number of validators, and the caller's address.

### Schema

<table><thead><tr><th width="274">Data Fields</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>A unique identifier</td></tr><tr><td>epoch_id</td><td>The ID of the epoch for which the report was generated.</td></tr><tr><td>beacon_balance</td><td>The total balance of the Lido validators on the beacon chain.</td></tr><tr><td>beacon_validators</td><td>The total balance of the Lido validators on the beacon chain.</td></tr><tr><td>caller</td><td>The total balance of the Lido validators on the beacon chain.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockflow.network/use-cases/lido-finance/databases/lidobeaconreport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
